#
# spec file for package python-aliyun-python-sdk
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-aliyun-python-sdk
Version:        1.0.0
Release:        150100.3.7.4
License:        Apache-2.0
Summary:        Aliyun Python SDK meta package
Url:            http://develop.aliyun.com/sdk/python
BuildRequires:  python-rpm-macros
Requires:       python-aliyun-python-sdk-aas
Requires:       python-aliyun-python-sdk-acm
Requires:       python-aliyun-python-sdk-acms-open
Requires:       python-aliyun-python-sdk-actiontrail
Requires:       python-aliyun-python-sdk-adb
Requires:       python-aliyun-python-sdk-address-purification
Requires:       python-aliyun-python-sdk-aegis
Requires:       python-aliyun-python-sdk-afs
Requires:       python-aliyun-python-sdk-airec
Requires:       python-aliyun-python-sdk-alidns
Requires:       python-aliyun-python-sdk-aligreen-console
Requires:       python-aliyun-python-sdk-alimt
Requires:       python-aliyun-python-sdk-alinlp
Requires:       python-aliyun-python-sdk-aliyuncvc
Requires:       python-aliyun-python-sdk-amqp-open
Requires:       python-aliyun-python-sdk-appmallsservice
Requires:       python-aliyun-python-sdk-arms
Requires:       python-aliyun-python-sdk-arms4finance
Requires:       python-aliyun-python-sdk-baas
Requires:       python-aliyun-python-sdk-brinekingdom
Requires:       python-aliyun-python-sdk-bss
Requires:       python-aliyun-python-sdk-bssopenapi
Requires:       python-aliyun-python-sdk-cams
Requires:       python-aliyun-python-sdk-cas
Requires:       python-aliyun-python-sdk-cassandra
Requires:       python-aliyun-python-sdk-cbn
Requires:       python-aliyun-python-sdk-ccc
Requires:       python-aliyun-python-sdk-ccs
Requires:       python-aliyun-python-sdk-cdn
Requires:       python-aliyun-python-sdk-cdrs
Requires:       python-aliyun-python-sdk-chatbot
Requires:       python-aliyun-python-sdk-clickhouse
Requires:       python-aliyun-python-sdk-cloudapi
Requires:       python-aliyun-python-sdk-cloudauth
Requires:       python-aliyun-python-sdk-cloudesl
Requires:       python-aliyun-python-sdk-cloudgame
Requires:       python-aliyun-python-sdk-cloudmarketing
Requires:       python-aliyun-python-sdk-cloudphoto
Requires:       python-aliyun-python-sdk-cloudwf
Requires:       python-aliyun-python-sdk-cms
Requires:       python-aliyun-python-sdk-codeup
Requires:       python-aliyun-python-sdk-companyreg
Requires:       python-aliyun-python-sdk-config
Requires:       python-aliyun-python-sdk-core
Requires:       python-aliyun-python-sdk-cr
Requires:       python-aliyun-python-sdk-crm
Requires:       python-aliyun-python-sdk-cs
Requires:       python-aliyun-python-sdk-csb
Requires:       python-aliyun-python-sdk-cspro
Requires:       python-aliyun-python-sdk-cusanalytic_sc_online
Requires:       python-aliyun-python-sdk-das
Requires:       python-aliyun-python-sdk-dataworks-public
Requires:       python-aliyun-python-sdk-dbfs
Requires:       python-aliyun-python-sdk-dbs
Requires:       python-aliyun-python-sdk-dcdn
Requires:       python-aliyun-python-sdk-ddoscoo
Requires:       python-aliyun-python-sdk-dds
Requires:       python-aliyun-python-sdk-democenter
Requires:       python-aliyun-python-sdk-devops-rdc
Requires:       python-aliyun-python-sdk-dg
Requires:       python-aliyun-python-sdk-dms-enterprise
Requires:       python-aliyun-python-sdk-domain
Requires:       python-aliyun-python-sdk-domain-intl
Requires:       python-aliyun-python-sdk-drds
Requires:       python-aliyun-python-sdk-dts
Requires:       python-aliyun-python-sdk-dybaseapi
Requires:       python-aliyun-python-sdk-dyplsapi
Requires:       python-aliyun-python-sdk-dypnsapi
Requires:       python-aliyun-python-sdk-dysmsapi
Requires:       python-aliyun-python-sdk-dyvmsapi
Requires:       python-aliyun-python-sdk-eais
Requires:       python-aliyun-python-sdk-eas
Requires:       python-aliyun-python-sdk-eci
Requires:       python-aliyun-python-sdk-ecs
Requires:       python-aliyun-python-sdk-edas
Requires:       python-aliyun-python-sdk-ehpc
Requires:       python-aliyun-python-sdk-elasticsearch
Requires:       python-aliyun-python-sdk-emap
Requires:       python-aliyun-python-sdk-emas-appmonitor
Requires:       python-aliyun-python-sdk-emr
Requires:       python-aliyun-python-sdk-ens
Requires:       python-aliyun-python-sdk-ess
Requires:       python-aliyun-python-sdk-et-industry-openapi
Requires:       python-aliyun-python-sdk-faas
Requires:       python-aliyun-python-sdk-facebody
Requires:       python-aliyun-python-sdk-fnf
Requires:       python-aliyun-python-sdk-foas
Requires:       python-aliyun-python-sdk-ft
Requires:       python-aliyun-python-sdk-gdb
Requires:       python-aliyun-python-sdk-geoip
Requires:       python-aliyun-python-sdk-goodstech
Requires:       python-aliyun-python-sdk-gpdb
Requires:       python-aliyun-python-sdk-green
Requires:       python-aliyun-python-sdk-gts-phd
Requires:       python-aliyun-python-sdk-hbase
Requires:       python-aliyun-python-sdk-hbr
Requires:       python-aliyun-python-sdk-highddos
Requires:       python-aliyun-python-sdk-hiknoengine
Requires:       python-aliyun-python-sdk-hitsdb
Requires:       python-aliyun-python-sdk-hivisengine
Requires:       python-aliyun-python-sdk-hpc
Requires:       python-aliyun-python-sdk-hsm
Requires:       python-aliyun-python-sdk-httpdns
Requires:       python-aliyun-python-sdk-idrsservice
Requires:       python-aliyun-python-sdk-idsp
Requires:       python-aliyun-python-sdk-imageaudit
Requires:       python-aliyun-python-sdk-imageenhan
Requires:       python-aliyun-python-sdk-imageprocess
Requires:       python-aliyun-python-sdk-imagerecog
Requires:       python-aliyun-python-sdk-imagesearch
Requires:       python-aliyun-python-sdk-imageseg
Requires:       python-aliyun-python-sdk-imgsearch
Requires:       python-aliyun-python-sdk-imm
Requires:       python-aliyun-python-sdk-industry-brain
Requires:       python-aliyun-python-sdk-iot
Requires:       python-aliyun-python-sdk-iqa
Requires:       python-aliyun-python-sdk-ivision
Requires:       python-aliyun-python-sdk-ivpd
Requires:       python-aliyun-python-sdk-jaq
Requires:       python-aliyun-python-sdk-jarvis
Requires:       python-aliyun-python-sdk-jarvis-public
Requires:       python-aliyun-python-sdk-kms
Requires:       python-aliyun-python-sdk-ledgerdb
Requires:       python-aliyun-python-sdk-linkedmall
Requires:       python-aliyun-python-sdk-linkface
Requires:       python-aliyun-python-sdk-linkwan
Requires:       python-aliyun-python-sdk-live
Requires:       python-aliyun-python-sdk-lubancloud
Requires:       python-aliyun-python-sdk-market
Requires:       python-aliyun-python-sdk-metering
Requires:       python-aliyun-python-sdk-mopen
Requires:       python-aliyun-python-sdk-mpaas
Requires:       python-aliyun-python-sdk-mts
Requires:       python-aliyun-python-sdk-multimediaai
Requires:       python-aliyun-python-sdk-nas
Requires:       python-aliyun-python-sdk-netana
Requires:       python-aliyun-python-sdk-nlp-automl
Requires:       python-aliyun-python-sdk-nls-cloud-meta
Requires:       python-aliyun-python-sdk-objectdet
Requires:       python-aliyun-python-sdk-ocr
Requires:       python-aliyun-python-sdk-ocs
Requires:       python-aliyun-python-sdk-oms
Requires:       python-aliyun-python-sdk-ons
Requires:       python-aliyun-python-sdk-onsmqtt
Requires:       python-aliyun-python-sdk-oos
Requires:       python-aliyun-python-sdk-openanalytics
Requires:       python-aliyun-python-sdk-openanalytics-open
Requires:       python-aliyun-python-sdk-opensearch
Requires:       python-aliyun-python-sdk-ossadmin
Requires:       python-aliyun-python-sdk-ots
Requires:       python-aliyun-python-sdk-outboundbot
Requires:       python-aliyun-python-sdk-paistudio
Requires:       python-aliyun-python-sdk-petadata
Requires:       python-aliyun-python-sdk-polardb
Requires:       python-aliyun-python-sdk-polardbx
Requires:       python-aliyun-python-sdk-privatelink
Requires:       python-aliyun-python-sdk-productcatalog
Requires:       python-aliyun-python-sdk-pts
Requires:       python-aliyun-python-sdk-push
Requires:       python-aliyun-python-sdk-pvtz
Requires:       python-aliyun-python-sdk-qualitycheck
Requires:       python-aliyun-python-sdk-quickbi-public
Requires:       python-aliyun-python-sdk-ram
Requires:       python-aliyun-python-sdk-rdc
Requires:       python-aliyun-python-sdk-rds
Requires:       python-aliyun-python-sdk-reid
Requires:       python-aliyun-python-sdk-resourcemanager
Requires:       python-aliyun-python-sdk-retailcloud
Requires:       python-aliyun-python-sdk-risk
Requires:       python-aliyun-python-sdk-r-kvstore
Requires:       python-aliyun-python-sdk-ros
Requires:       python-aliyun-python-sdk-rtc
Requires:       python-aliyun-python-sdk-sae
Requires:       python-aliyun-python-sdk-saf
Requires:       python-aliyun-python-sdk-safconsole
Requires:       python-aliyun-python-sdk-sas
Requires:       python-aliyun-python-sdk-sas-api
Requires:       python-aliyun-python-sdk-scdn
Requires:       python-aliyun-python-sdk-schedulerx2
Requires:       python-aliyun-python-sdk-sddp
Requires:       python-aliyun-python-sdk-servicemesh
Requires:       python-aliyun-python-sdk-sgw
Requires:       python-aliyun-python-sdk-slb
Requires:       python-aliyun-python-sdk-sls
Requires:       python-aliyun-python-sdk-smartag
Requires:       python-aliyun-python-sdk-smarthosting
Requires:       python-aliyun-python-sdk-smc
Requires:       python-aliyun-python-sdk-snsuapi
Requires:       python-aliyun-python-sdk-status
Requires:       python-aliyun-python-sdk-sts
Requires:       python-aliyun-python-sdk-tag
Requires:       python-aliyun-python-sdk-tdsr
Requires:       python-aliyun-python-sdk-teambition-aliyun
Requires:       python-aliyun-python-sdk-tesladam
Requires:       python-aliyun-python-sdk-teslamaxcompute
Requires:       python-aliyun-python-sdk-teslastream
Requires:       python-aliyun-python-sdk-trademark
Requires:       python-aliyun-python-sdk-ubsms
Requires:       python-aliyun-python-sdk-uis
Requires:       python-aliyun-python-sdk-unimkt
Requires:       python-aliyun-python-sdk-vcs
Requires:       python-aliyun-python-sdk-viapiutils
Requires:       python-aliyun-python-sdk-videoenhan
Requires:       python-aliyun-python-sdk-videorecog
Requires:       python-aliyun-python-sdk-videosearch
Requires:       python-aliyun-python-sdk-videoseg
Requires:       python-aliyun-python-sdk-visionai
Requires:       python-aliyun-python-sdk-visionai-poc
Requires:       python-aliyun-python-sdk-vod
Requires:       python-aliyun-python-sdk-voicenavigator
Requires:       python-aliyun-python-sdk-vpc
Requires:       python-aliyun-python-sdk-vs
Requires:       python-aliyun-python-sdk-waf-openapi
Requires:       python-aliyun-python-sdk-webplus
Requires:       python-aliyun-python-sdk-welfare-inner
Requires:       python-aliyun-python-sdk-workorder
Requires:       python-aliyun-python-sdk-xspace
Requires:       python-aliyun-python-sdk-xtrace
Requires:       python-aliyun-python-sdk-yundun
Requires:       python-aliyun-python-sdk-yundun-ds
BuildArch:      noarch

%python_subpackages

%description
The Alibaba Cloud Python Software Development Kit (SDK) allows you to access
Alibaba Cloud services such as Elastic Compute Service (ECS), Object Storage
Service (OSS), and Resource Access Management (RAM). You can access Alibaba
Cloud services without the need to handle API related tasks, such as signing
and constructing your requests.

%prep
# Nothing to prep

%build
# Nothing to build

%install
# Nothing to install

%files %{python_files}

%changelog
* Tue Jul  6 2021 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1177083, jsc#PM-2730, jsc#SLE-18312)
* Wed Feb 17 2021 rjschwei@suse.com
- Do not build for Python 2 distros 15 and higher
* Sat Feb 13 2021 adrian.glaubitz@suse.com
- Add new Aliyun SDK component packages to Requires
- Drop obsolete Group field
* Tue Aug 18 2020 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1175230, jsc#ECO-2011, jsc#PM-1919)
* Mon Aug 10 2020 adrian.glaubitz@suse.com
- Initial build
  + Version 1.0.0
